#include <windows.h>
#include "BLOCKS.RH"
MenuInit MENU  DISCARDABLE
BEGIN
    POPUP "&File"
    BEGIN
        MENUITEM "Save Blocks Image",           IDM_SAVEBLOCKSIMAGE
        MENUITEM "Print Blocks Image",          IDM_PRINTBLOCKSIMAGE
        MENUITEM SEPARATOR
        MENUITEM "&Exit",                       IDM_EXIT
    END
    POPUP "Image"
    BEGIN
        MENUITEM "Compute Blocks Image",        IDM_COMPUTEBLOCKSIMAGE
    END
    POPUP "&Window"
    BEGIN
        MENUITEM "&Tile",                       IDM_TILE
        MENUITEM "&Cascade",                    IDM_CASCADE
        MENUITEM "Close &All",                  IDM_CLOSEALL
    END
    POPUP "&Help"
    BEGIN
        MENUITEM "&About",                      IDM_ABOUT
    END
END

DialogBoxAbout DIALOG 50, 50, 136, 83
STYLE DS_MODALFRAME | DS_3DLOOK | DS_CONTEXTHELP | WS_POPUP | WS_VISIBLE | 
    WS_CAPTION | WS_SYSMENU
EXSTYLE WS_EX_DLGMODALFRAME | WS_EX_CONTEXTHELP
CAPTION "About BLOCKS"
FONT 8, "MS Sans Serif"
BEGIN
    PUSHBUTTON      "OK",IDOK,43,60,50,14,BS_CENTER
    CTEXT           "BLOCKS 1.0",-1,42,13,52,7,NOT WS_GROUP
    CTEXT           "Copyright 2020 Timothy Masters",-1,20,32,96,8,NOT WS_GROUP
END

DialogBoxWaitMessage DIALOG 51, 61, 350, 44
STYLE DS_3DLOOK | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
CAPTION "Please wait..."
FONT 10, "MS Sans Serif"
BEGIN
    LTEXT           "Message text here",IDC_WAIT_MESSAGE_MSG,8,6,336,12,NOT WS_GROUP
    LTEXT           "Press ESCape to terminate.",-1,8,25,152,12,NOT WS_GROUP
    CONTROL         "Fraction complete",IDC_WAIT_MESSAGE_PROGRESS,
                    "msctls_progress32",WS_BORDER,108,25,224,11
END

DialogBoxWaitMessageNoAbort DIALOG 51, 61, 287, 24
STYLE DS_3DLOOK | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
CAPTION "Please wait..."
FONT 10, "MS Sans Serif"
BEGIN
    CTEXT           "Message text here",IDC_WAIT_MESSAGE_MSG,8,6,272,12,NOT WS_GROUP
END


DialogBoxBlocksParams DIALOGEX 0, 0, 202, 138
STYLE DS_SETFONT | DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
CAPTION "Blocks image parameters"
FONT 14, "MS Sans Serif", 0, 0, 0x0
BEGIN
    DEFPUSHBUTTON   "OK",IDOK,144,5,50,14
    PUSHBUTTON      "Cancel",IDCANCEL,144,24,50,14
    RTEXT           "Rows:",-1,22,8,24,8
    EDITTEXT        IDC_IMAGE_ROWS,51,8,34,12,ES_AUTOHSCROLL
    RTEXT           "Cols:",-1,26,28,20,8
    EDITTEXT        IDC_IMAGE_COLS,51,28,35,12,ES_AUTOHSCROLL
    RTEXT           "Height pct",-1,110,56,45,8
    EDITTEXT        IDC_HEIGHT,160,56,34,12,ES_AUTOHSCROLL
    RTEXT           "Width pct",-1,110,77,45,8
    EDITTEXT        IDC_WIDTH,159,77,35,12,ES_AUTOHSCROLL
    RTEXT           "Depth pct",-1,110,97,45,8
    EDITTEXT        IDC_DEPTH,159,97,35,12,ES_AUTOHSCROLL
    RTEXT           "Angle",-1,123,118,32,8
    EDITTEXT        IDC_ANGLE,160,118,34,12,ES_AUTOHSCROLL
    RTEXT           "Front tone",-1,14,55,41,8
    EDITTEXT        IDC_FRONT_TONE,60,55,35,12,ES_AUTOHSCROLL
    RTEXT           "Side tone",-1,14,74,41,8
    EDITTEXT        IDC_SIDE_TONE,60,74,35,12,ES_AUTOHSCROLL
    RTEXT           "Top tone",-1,17,96,38,8
    EDITTEXT        IDC_TOP_TONE,60,96,35,12,ES_AUTOHSCROLL
END


DialogBoxPrintParams DIALOG DISCARDABLE  0, 0, 183, 41
STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
CAPTION "Print blocks image"
FONT 14, "MS Sans Serif"
BEGIN
    DEFPUSHBUTTON   "OK",IDOK,135,4,36,14
    PUSHBUTTON      "Cancel",IDCANCEL,135,21,36,14
    RTEXT           "Percent of page width:",-1,0,6,73,8
    EDITTEXT        IDC_PRINT_FRACTION,81,4,34,12,ES_AUTOHSCROLL
    RTEXT           "Vertical scaling percent:",-1,4,21,75,8
    EDITTEXT        IDC_PRINT_VERTICAL_SCALING,81,20,35,12,ES_AUTOHSCROLL
END